Description

i have installed the redmine 1.4 stable and trying to install the rt import plugin, after installing that i am getting below error when

clicking on administration link.

the same plugin is working fine with redmine 1.3 on other server

please help.....

ActionView::TemplateError (No route matches {:action=>"index", :controller=>"rtimport"}) on line #3 of

app/views/admin/_menu.html.erb:

1: <div id="admin-menu">

2:   <ul>

3:     <%= render_menu :admin_menu %>

4:   </ul>

5: </div>

/usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:420:in `generate'

    /usr/lib/ruby/vendor_ruby/action_controller/url_rewriter.rb:218:in `rewrite_path'

    /usr/lib/ruby/vendor_ruby/action_controller/url_rewriter.rb:197:in `rewrite_url'

    /usr/lib/ruby/vendor_ruby/action_controller/url_rewriter.rb:175:in `rewrite'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:625:in `url_for'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/url_helper.rb:85:in `send'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/url_helper.rb:85:in `url_for'

    /usr/lib/ruby/vendor_ruby/action_view/helpers/url_helper.rb:228:in `link_to'

    lib/redmine/menu_manager.rb:150:in `render_single_menu_node'

    lib/redmine/menu_manager.rb:102:in `render_menu_node'

    lib/redmine/menu_manager.rb:91:in `render_menu'

    lib/redmine/menu_manager.rb:168:in `menu_items_for'

    lib/redmine/menu_manager.rb:165:in `each'

    lib/redmine/menu_manager.rb:165:in `menu_items_for'

    lib/redmine/menu_manager.rb:90:in `render_menu'

    app/views/admin/_menu.html.erb:3

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `send'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:306:in `with_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:30:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/renderable_partial.rb:20:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:30:in `benchmark'

    /usr/lib/ruby/vendor_ruby/action_view/renderable_partial.rb:19:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/template.rb:205:in `render_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable_partial.rb:44:in `render_partial'

    /usr/lib/ruby/vendor_ruby/action_view/partials.rb:184:in `render_partial'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:267:in `render'

    app/views/admin/index.html.erb:5

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `send'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:34:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:306:in `with_template'

    /usr/lib/ruby/vendor_ruby/action_view/renderable.rb:30:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/template.rb:205:in `render_template'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:265:in `render'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:348:in `_render_with_layout'

    /usr/lib/ruby/vendor_ruby/action_view/base.rb:262:in `render'
    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1252:in `render_for_file'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:936:in `render_without_benchmark'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1328:in `default_render'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:1334:in `perform_action_without_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:617:in `call_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:610:in `perform_action_without_benchmar

k'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_resc

ue'

    /usr/lib/ruby/vendor_ruby/action_controller/benchmarking.rb:68:in `perform_action_without_resc

ue'

    /usr/lib/ruby/vendor_ruby/action_controller/rescue.rb:160:in `perform_action_without_flash'

    /usr/lib/ruby/vendor_ruby/action_controller/flash.rb:151:in `perform_action'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `send'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:532:in `process_without_filters'

    /usr/lib/ruby/vendor_ruby/action_controller/filters.rb:606:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:391:in `process'

    /usr/lib/ruby/vendor_ruby/action_controller/base.rb:386:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/routing/route_set.rb:438:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:87:in `dispatch'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:121:in `_call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:130:in `build_middleware_stack'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:29:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/query_cache.rb:34:in `cac

he'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:9:in `cache'

    /usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:28:in `call'

    /usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:361:in

 `call'

    /usr/lib/ruby/vendor_ruby/action_controller/string_coercion.rb:25:in `call'

    /usr/lib/ruby/vendor_ruby/rack/head.rb:9:in `call'

    /usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/params_parser.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/session/cookie_store.rb:99:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/failsafe.rb:26:in `call'

    /usr/lib/ruby/vendor_ruby/rack/lock.rb:15:in `call'

    /usr/lib/ruby/vendor_ruby/action_controller/dispatcher.rb:106:in `call'

    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handler

'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_applicat

ion'

    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_applicat

ion'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/phusion_passenger/passenger-spawn-server:61
History

#1 - 2012-07-13 10:16 - Etienne Massip

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Invalid

Please post in Plugins forum or contact the plugin author, this tracker is for Redmine core only.

#2 - 2012-07-13 16:50 - Terence Mill

You need to create the routes.rb on plugin's config folder which says rails to route the "index" urls/action to the controller "rtimport". This is a new

requiremnt for plugin migrating to redmine 1.4. Its pretty simple, juts find a plugin with routes.rb in your vendor\plugins folder and copy paste the file.

Thne modify url, action and controller accoding i stated above. Restart redmine and try out.

#3 - 2012-07-13 20:28 - Sandeep Soni

- Status changed from Closed to Reopened

hi terence,

i created the route file with below contents, i m not sure if this is correct.

ActionController::Routing::Routes.draw do |map|

map.connect '/trt_import/index', :controller => 'rtimport', :action => 'index'

map.connect '/rt_import/match', :controller => 'rtimport', :action => 'import'

end

Now i am getting different Error :

Processing RtimportController#import (for 111.119.219.17 at 2012-07-13 23:41:04) [POST]

Parameters: {"controller"=>"rtimport", "uploaded_file"=>#<File:/tmp/RackMultipart20120713-22798-1w5oygp-0>, "commit"=>"Add",

"action"=>"import", "prefix"=>"", "authenticity_token"=>"skJmDCppXnBsc5o06nDUtUyefkW8dBsI8O1H3eRj7B4="}

ActiveRecord::ActiveRecordError (You cannot move a new node):

app/models/project.rb:378:in `set_parent!'

app/models/project.rb:356:in `set_allowed_parent!'

vendor/plugins/rt_import/app/controllers/rtimport_controller.rb:105:in `import'

/usr/lib/ruby/1.8/rexml/element.rb:892:in `each'

/usr/lib/ruby/1.8/rexml/xpath.rb:53:in `each'

/usr/lib/ruby/1.8/rexml/element.rb:892:in `each'

/usr/lib/ruby/1.8/rexml/element.rb:393:in `each_element'

vendor/plugins/rt_import/app/controllers/rtimport_controller.rb:79:in `import'

#4 - 2012-07-14 00:02 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Please, no plugin request here.
